<?php	

	include_once("includes/conexao.php");

	  if(isset($_GET['id']) && !empty($_GET['id'])){
		  
		  $id = $_GET['id'];
		  
		  $custumer = mysqli_query($con,"SELECT * FROM funcionarios WHERE id='$id'");
		  $fetch = mysqli_fetch_assoc($custumer);
		  
		  $worker = $fetch['nome'];
		  
		  
		  


		  
		  
	
	$html = '<table class="table table-bordered">';	
	$html .= '<thead>';
	$html .= '<tr>';
	$html .= '<th>Ref.</th>';
	$html .= '<th>Nome</th>';
	$html .= '<th>Mes de salario</th>';
	$html .= '<th>Salario base</th>';
	$html .= '<th>Faltas</th>';
	$html .= '<th>Descontos internos</th>';
	$html .= '<th>Inss</th>';
	$html .= '<th>Irps</th>';
	$html .= '<th>Bonus</th>';
	$html .= '<th>S.Liquido</th>';
	$html .= '</tr>';
	$html .= '</thead>';
	$html .= '<tbody>';
	
	$item=1;
	

	
	$busca = mysqli_query($con,"SELECT * FROM salarios WHERE nome='$worker'");
	
	while($row_transacoes = mysqli_fetch_assoc($busca)){
	  
	    
		$html .= '<tr>';
		$html .= '<td>'.$item++. "</td>";
		$html .= '<td>'.$row_transacoes['nome'] . "</td>";
		$html .= '<td>'.$row_transacoes['mes_salario'] . "</td>";
			$html .= '<td>'.number_format($row_transacoes['salarioBase'],2,",",".") . "</td>";
		$html .= '<td>'.$row_transacoes['faltas'] . "</td>";
		
			$html .= '<td>'.number_format($row_transacoes['descontosInternos'],2,",",".") . "</td>";
			$html .= '<td>'.number_format($row_transacoes['inss'],2,",",".") . "</td>";
		$html .= '<td>'.number_format($row_transacoes['irps'],2,",",".") . "</td>";
		$html .= '<td>'.number_format($row_transacoes['bonus'] ,2,",","."). "</td>";
				$html .= '<td>'.number_format($row_transacoes['salarioLiquido'],2,",",".") . "</td></tr>";

	}
}



		
	$html .= '</tbody>';
	$html .= '</table>	
	
	<hr>
  

  <br>
  
  
	<br></br><br>';
	
	
	//referenciar o DomPDF com namespace
	use Dompdf\Dompdf;

	// include autoloader
	require_once("dompdf/autoload.inc.php");

	//Criando a Instancia
	$dompdf = new DOMPDF();
	

  
  
	
$logotipo_dados = "SELECT * FROM empresa";
$sim_consegui = mysqli_query($con,$logotipo_dados);
$dados_empresa = mysqli_fetch_assoc($sim_consegui);

$logo_empresa = $dados_empresa['logo'];	
$nome_empresa = $dados_empresa['nome_empresa'];	
$nuit = $dados_empresa['nuit'];	
$contactos = $dados_empresa['contactos'];	
$email_empresa = $dados_empresa['email'];	
$endereco_empresa = $dados_empresa['endereco'];


	
	// Carrega seu HTML
	$dompdf->load_html('
	
	<div class="jonas">
	<div class="logo" align="left">
	<img src="img/'.$logo_empresa.'" width="280px" height="180px"/>
	
	
	<p align="right" style="padding-top:-150px;">
	   <b>'.$nome_empresa.'</b><br>
	   Cell: (+258) '.$contactos.'<br>
	   Endereço: '.$endereco_empresa.'<br>
	   Email: '.$email_empresa.'<br>
	   Maputo-Moçambique<br><br>
	</p>
	</div>
	
	<br></br><br>
	
		<h4 style="text-align: center; ">Relatorio de salarios de '.$worker.'</h4>
		
		
			'. $html .'
			
		
			
			
			
			<p align="center">Relatorio gerado no dia '.$dia.'/'.$mes.'/'.$ano.'</p>
		');

	//Renderizar o html
	$dompdf->render();

	//Exibibir a página
	$dompdf->stream(
		"report.pdf", 
		array(
			"Attachment" => false //Para realizar o download somente alterar para true
		)
	);
	
?>